# -*- coding: utf-8 -*-

import unittest
import os
import logging
import zlib, base64

from pdfparser import *

class PdfParserTestCase(unittest.TestCase):
    def test_text(self):
        test_dir = os.path.join(
                            os.path.dirname(__file__),
                            "test_data")
        pdf_str = open(os.path.join(test_dir, "pdf.pdf"), "r").read()
        pp = PdfParser()
        pdf_parsed_data = open(os.path.join(test_dir, "pdf.txt"), "r").read().decode('utf-8')
        self.assertEquals(pp.text(pdf_str), pdf_parsed_data)

def suite():
    return unittest.TestLoader().loadTestsFromTestCase(PdfParserTestCase)

if __name__ == "__main__":
    unittest.TextTestRunner(verbosity=2).run(suite())   #pragma: no cover

