#!/usr/bin/env python

from ksearch import util

'''
DocIndexer text parser.
'''
class TextParser(object):

    description = 'Text document parser'
    mime_types = ['text/plain']

    def text(self,str):
        try:
            return util.smart_unicode(str)
        except Exception:
            raise Exception,'unable to read document'

    def text_from_file(self,filename):
        return util.text(open(filename).read())

# vim: ts=4 sw=4:
