import unittest

import analysis.tests
import indexersearcher_test
import indexerservice_test
import searcherservice_test

def suite():
    return unittest.TestSuite([analysis.tests.suite(),
                               indexersearcher_test.suite(),
                               indexerservice_test.suite(),
                               searcherservice_test.suite(),
                               ])

if __name__ == "__main__":
    unittest.TextTestRunner(verbosity=2).run(suite())
