import unittest
import doctest

import ham_test
import sentencetokenizer
import koreananalyzer

def suite():
    return unittest.TestSuite([ham_test.suite(),
                               doctest.DocTestSuite(sentencetokenizer),
                               doctest.DocTestSuite(koreananalyzer),
                               ]
                              )

if __name__ == "__main__":
    unittest.TextTestRunner(verbosity=2).run(suite())
